#!/bin/bash

gcc -o problem3_1_1.exe problem3_1_1.c

./problem3_1_1.exe


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "problem3_1_1.eps"
set size 0.6,0.6
set xlabel "n"
set ylabel "{/Symbol d}(n)"
set log y 2
set format y "2^{%L}"
set xrange [1:25]
set yrange [2**-25:]
plot "problem3_1_1.dat" u 1:3 w p noti pt 7 ,\
     2**-x w l title "2^{-n}"
EOF